Bug 387282 - Highlighting of search results and text selection lost when rotating page
Summary: Highlighting of search results and text selection lost when rotating page
Status: RESOLVED FIXED
Alias: None
Product: okular
Classification: Applications
Component: general (show other bugs)
Version: 1.2.70
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Okular developers
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2017-11-24 22:34 UTC by null
Modified: 2018-04-16 22:39 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description null 2017-11-24 22:34:25 UTC
Use case: Searching text in long document with text fragments and pages rotated in between, requiring multiple manual rotations to be able to read the text while keeping search results displayed.

Steps to reproduce:
- open "autotests/data/file1.pdf"
- Ctrl + F, search for "this"
- Thumbnails: search for "some"
- Text selection tool: highlight "text"
- notice 3 highlighted words
- rotate page

Actual result: Words not highlighted anymore. Search needs to be restarted (thumbnails) or previous/next buttons need to be pressed (search bar).

Expected result: Words still highlighted. (Keeping the text selection is debatable, as it clears on click already. However, search results should not be lost.)
Comment 1 Albert Astals Cid 2018-04-16 22:39:31 UTC
Git commit 6a2ed4f3144bb4c22d2aeb4d72968fb8de898b76 by Albert Astals Cid, on behalf of Ahmad Osama.
Committed on 16/04/2018 at 22:39.
Pushed by aacid into branch 'Applications/18.04'.

[Okular] Bug 387282: Highlighting of search results lost when rotating page

Summary:
The highlights were removed when rotating the page, also the RotaionJob::rotationMatrix function was not rotating the Highlihgts correctly.
I removed the deletion and modified the rotaionMatrix function by making it shorter and adding a translation after the rotatin. I tried different rotations and they are working fine.

Reviewers: #okular

Subscribers: aacid, ngraham, #okular

Tags: #okular

Differential Revision: https://phabricator.kde.org/D11901

M  +2    -2    core/page.cpp

https://commits.kde.org/okular/6a2ed4f3144bb4c22d2aeb4d72968fb8de898b76